package dsl.modelwithoutelements;

import org.eclipse.emf.ecore.EObject;

import org.eclipse.viatra2.emf.incquery.validation.runtime.Constraint;
import org.eclipse.viatra2.emf.incquery.validation.runtime.ValidationUtil;
import org.eclipse.viatra2.emf.incquery.runtime.api.impl.BaseGeneratedMatcherFactory;
import org.eclipse.viatra2.emf.incquery.runtime.exception.IncQueryException;

import dsl.modelwithoutelements.ModelWithoutElementsMatch;
import dsl.modelwithoutelements.ModelWithoutElementsMatcherFactory;
import dsl.modelwithoutelements.ModelWithoutElementsMatcher;

public class ModelWithoutElementsConstraint0 extends Constraint<ModelWithoutElementsMatch> {

	private ModelWithoutElementsMatcherFactory matcherFactory;

	public ModelWithoutElementsConstraint0() throws IncQueryException {
		matcherFactory = ModelWithoutElementsMatcherFactory.instance();
	}

	@Override
	public String getMessage() {
		return "test";
	}

	@Override
	public EObject getLocationObject(ModelWithoutElementsMatch signature) {
		Object location = signature.get("m");
		if(location instanceof EObject){
			return (EObject) location;
		}
		return null;
	}
	
	@Override
	public int getSeverity() {
		return ValidationUtil.getSeverity("warning");
	}
	
	@Override
	public BaseGeneratedMatcherFactory<ModelWithoutElementsMatcher> getMatcherFactory() {
		return matcherFactory;
	}
}
